Package: org.grails.web.servlet.mvc

## [Java] Class GrailsWebRequestFilter

- org.grails.web.servlet.mvc.GrailsWebRequestFilter

- All Implemented Interfaces and Traits:
    org.springframework.context.ApplicationContextAware

      public class GrailsWebRequestFilter
      extends org.springframework.web.filter.OncePerRequestFilter
      implements org.springframework.context.ApplicationContextAware

  Binds a GrailsWebRequestFilter to the currently executing thread.

  Authors:
    Graeme Rocher
  Since:
    0.4

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `java.util.Collection<ParameterCreationListener>` | `paramListenerBeans` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.web.filter.OncePerRequestFilter` | `ALREADY_FILTERED_SUFFIX`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private void` | `configureParameterCreationListeners(GrailsWebRequest webRequest)`
    `` | `protected void` | `doFilterInternal(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.FilterChain filterChain)`
    `` | `public void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
    `` | `protected boolean` | `shouldNotFilterAsyncDispatch()`
    `` | `protected boolean` | `shouldNotFilterErrorDispatch()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.web.filter.OncePerRequestFilter` | `org.springframework.web.filter.OncePerRequestFilter#doFilter(javax.servlet.ServletRequest, javax.servlet.ServletResponse, javax.servlet.FilterChain), org.springframework.web.filter.OncePerRequestFilter#getFilterConfig(), org.springframework.web.filter.OncePerRequestFilter#setServletContext(javax.servlet.ServletContext), org.springframework.web.filter.OncePerRequestFilter#afterPropertiesSet(), org.springframework.web.filter.OncePerRequestFilter#setBeanName(java.lang.String), org.springframework.web.filter.OncePerRequestFilter#getEnvironment(), org.springframework.web.filter.OncePerRequestFilter#setEnvironment(org.springframework.core.env.Environment), org.springframework.web.filter.OncePerRequestFilter#init(javax.servlet.FilterConfig), org.springframework.web.filter.OncePerRequestFilter#destroy(), org.springframework.web.filter.OncePerRequestFilter#wait(long), org.springframework.web.filter.OncePerRequestFilter#wait(long, int), org.springframework.web.filter.OncePerRequestFilter#wait(), org.springframework.web.filter.OncePerRequestFilter#equals(java.lang.Object), org.springframework.web.filter.OncePerRequestFilter#toString(), org.springframework.web.filter.OncePerRequestFilter#hashCode(), org.springframework.web.filter.OncePerRequestFilter#getClass(), org.springframework.web.filter.OncePerRequestFilter#notify(), org.springframework.web.filter.OncePerRequestFilter#notifyAll()`

- - ### Field Detail

    - #### java.util.Collection<ParameterCreationListener> paramListenerBeans

  - ### Method Detail

    - #### private void configureParameterCreationListeners(GrailsWebRequest webRequest)

    - #### @java.lang.Override protected void doFilterInternal(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.FilterChain filterChain)

    - #### @java.lang.Override public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

    - #### @java.lang.Override protected boolean shouldNotFilterAsyncDispatch()

    - #### @java.lang.Override protected boolean shouldNotFilterErrorDispatch()